Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmConstructionLedgerAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmConstructionLedgerAuxiliary.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmConstructionLedgerAuxiliary.cs	(revision 6)
@@ -1257,35 +1471,209 @@
         /// 工事予算書より人件費ブロックを取り込む
         /// </summary>
         /// <returns></returns>
-        private bool DispDataFromConstructionBudget4()
+        private void DispDataFromConstructionBudget4()
         {
-            IOConstructionBudgetDetail DetailDB = new IOConstructionBudgetDetail();
             try
             {
                 int GroupNo = (int)GroupName_ConstructionLedger.TransportationCosts + 1;
                 int icnt = 1;
                 // グループ名表示
-                CreateTitileRow(GroupNo, s_PersonnelExpensesGroup);
+                CreateTitleRow(GroupNo, s_PersonnelExpensesGroup);
 
                 // 指導員給与
                 GetDispDataFromConstructionBudget(GroupNo, (int)GroupName_ConstructionBudget.InstructorCosts, icnt++);
-                // 給与経費
+                // 副担当者給与
+                GetDispDataFromConstructionBudget(GroupNo, (int)GroupName_ConstructionBudget.AssistantCosts, icnt++);
+                // 担当者給与経費
                 GetDispDataFromConstructionBudget(GroupNo, (int)GroupName_ConstructionBudget.PayrollExpenses, icnt++);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
 
-                return true;
+        #region 給与経費行作成・再計算
+        /// <summary>
+        /// 給与経費行作成・再計算
+        /// </summary>
+        /// <returns></returns>
+        private void CreatePayrollCosts(ref ConstructionBudgetDetail DetailRec)
+        {
+            IOMPersonInCharge PersonDB = new IOMPersonInCharge();
+            try
+            {
+                // 16期以降は給与を表示する
+                if (m_ConstructionBaseInfo.ConstructionPeriod < 16) return;
+
+                DataGridView dgv = dgvAllDisplay;
+                // 工期取得
+                double BetweenTimes = 0;
+                // 給与単価
+                int monthSalary = 0;
+                // 実行金額
+                double costValue = 0;
+                // 文字列
+                string Content = string.Empty;
+
+                // 工事担当者コードの設定           
+                int CodeType = (int)CommonDefine.SearchLogDataType.Person;
+                int PersonCode = m_ConstructionBaseInfo.ConstructionPersonCode;
+
+                if (PersonCode != 0)
+                {
+                    // 担当者マスタを読む
+                    string strSQL = PersonDB.CreatePrimarykeyString(PersonCode);
+                    PersonInChargeMaster personRec = new PersonInChargeMaster();
+                    PersonDB.SelectAction(strSQL, ref personRec);
+
+                    // 残業係数を掛けて月額給与を求める
+                    monthSalary = CommonMotions.cnvRound(personRec.MonthlySalary * (double)CommonDefine.s_SalaryExpenses);
+
+                    // ----- 全日振分
+                    // 工期取得
+                    BetweenTimes = CommonMotions.cnvDouble(m_DspLabelCtrl[(int)DspLblCtrlName.BetweenTimes].Text);
+                    // 実行金額計算
+                    costValue = (int)(personRec.MonthlySalary * BetweenTimes);
+                    Content = string.Format(CommonDefine.s_SalaryCostMonthlyFormat, BetweenTimes, ((int)personRec.MonthlySalary).ToString("#,0"));
+                }
+
+                // データセット
+                DetailRec.CompanyType = CodeType;
+                DetailRec.CompanyCode = PersonCode;
+                DetailRec.ExecutionAmount = costValue;
+                DetailRec.FirstString = s_GroupTitle[(int)GroupName_ConstructionLedger.Payroll];
+                DetailRec.SecondString = Content;
+
+                // 工事種別が工事台帳作成対象の場合は給与をセットしない（新規時しかここを通らない）
+                if (!CommonMotions.CheckCreateLedgerData(m_ConstructionBaseInfo.ConstructionStatusFlg,
+                                                        m_ConstructionBaseInfo.ConstructionType))
+                {
+                    DetailRec.ExecutionAmount = 0;
+                    DetailRec.SecondString = string.Empty;
+                }
             }
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-                return false;
             }
             finally
             {
-                DetailDB.close(); DetailDB = null;
+                PersonDB.close(); PersonDB = null;
             }
         }
         #endregion
 
+        #region 副担当給与行作成
+        /// <summary>
+        /// 副担当給与表示
+        /// </summary>
+        /// <returns></returns>
+        private void CreateAssistantCosts(ref ConstructionBudgetDetail DetailRec)
+        {
+            try
+            {
+                // 工期取得
+                double BetweenTimes = 0;
+                // 実行金額
+                double costValue = 0;
+                // 文字列
+                string Content = string.Empty;
+
+                // 指導員コードの設定           
+                int CodeType = (int)CommonDefine.SearchLogDataType.Person;
+                int PersonCode = m_ConstructionBaseInfo.ConstrSubPersonCode;
+
+                if (PersonCode != 0)
+                {
+                    // 工期取得
+                    BetweenTimes = CommonMotions.cnvDouble(m_DspLabelCtrl[(int)DspLblCtrlName.BetweenTimes].Text);
+                    costValue = (int)(CommonDefine.AssistantMonthryCost * BetweenTimes);
+                    Content = string.Format(CommonDefine.s_SalaryCostMonthlyFormat, BetweenTimes, CommonDefine.AssistantMonthryCost.ToString("#,0"));
+                }
+                // データセット
+                DetailRec.CompanyType = CodeType;
+                DetailRec.CompanyCode = PersonCode;
+                DetailRec.ExecutionAmount = costValue;
+                DetailRec.FirstString = s_GroupTitle[(int)GroupName_ConstructionLedger.Assistant];
+                DetailRec.SecondString = Content;
+
+                // 工事種別が工事台帳作成対象の場合は給与をセットしない（新規時しかここを通らない）
+                if (!CommonMotions.CheckCreateLedgerData(m_ConstructionBaseInfo.ConstructionStatusFlg, 
+                                                        m_ConstructionBaseInfo.ConstructionType))
+                {
+                    DetailRec.ExecutionAmount = 0;
+                    DetailRec.SecondString = string.Empty;
+                }
+                else
+                {
+                    // 名前を入れる
+                    SetFirstStringName(ref DetailRec);
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 指導員給与行作成
+        /// <summary>
+        /// 指導員給与表示
+        /// </summary>
+        /// <returns></returns>
+        private void CreateInstructorCosts(ref ConstructionBudgetDetail DetailRec)
+        {
+            try
+            {
+                DataGridView dgv = dgvAllDisplay;
+                // 工期取得
+                double BetweenTimes = 0;
+                // 実行金額
+                double costValue = 0;
+                // 文字列
+                string Content = string.Empty;
+
+                // 指導員コードの設定           
+                int CodeType = (int)CommonDefine.SearchLogDataType.Person;
+                int PersonCode = m_ConstructionBaseInfo.ConstructionInstructor;
+                if (PersonCode != 0)
+                {
+                    // 工期取得
+                    BetweenTimes = CommonMotions.cnvDouble(m_DspLabelCtrl[(int)DspLblCtrlName.BetweenTimes].Text);
+                    costValue = (int)(CommonDefine.InstructorMonthryCost * BetweenTimes);
+                    Content = string.Format(CommonDefine.s_SalaryCostMonthlyFormat, BetweenTimes, CommonDefine.InstructorMonthryCost.ToString("#,0"));
+                }
+
+                // データセット
+                DetailRec.CompanyType = CodeType;
+                DetailRec.CompanyCode = PersonCode;
+                DetailRec.ExecutionAmount = costValue;
+                DetailRec.FirstString = s_GroupTitle[(int)GroupName_ConstructionLedger.Instructor];
+                DetailRec.SecondString = Content;
+
+                // 工事種別が工事台帳作成対象の場合は給与をセットしない（新規時しかここを通らない）
+                if (!CommonMotions.CheckCreateLedgerData(m_ConstructionBaseInfo.ConstructionStatusFlg, 
+                                                        m_ConstructionBaseInfo.ConstructionType))
+                {
+                    DetailRec.ExecutionAmount = 0;
+                    DetailRec.SecondString = string.Empty;
+                }
+                else
+                {
+                    // 名前を入れる
+                    SetFirstStringName(ref DetailRec);
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
         #region 明細合計を集計
         /// <summary>
         /// 明細合計を集計する
@@ -1311,21 +1699,21 @@
                 if (BreakLine == 0) BreakLine = dgv.Rows.Count;
 
                 // 月毎クリア
-                for (int i = 0; i < MTotal.Length; i++) MTotal[i] = 0;
+                Array.Clear(MTotal, 0, MTotal.Length);
                 foreach (DataGridViewRow wrkRow in dgv.Rows)
                 {
                     // 純利益の前までで処理終了
                     if (wrkRow.Index >= BreakLine) break;
 
-                    EstimateValue += CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.EstimatePrice].Value);           // 積算時見積金額
-                    ExecValue += CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.ExecPrice].Value);                   // 実行金額
-                    PercentValue += CommonMotions.cnvDouble(wrkRow.Cells[(int)DispGridColumn.Percent].Value);               // 構成比率
-                    TotalValue += CommonMotions.cnvInt(wrkRow.Cells[TotalPoint].Value);                                     // 合計金額
-                    ResultValue += CommonMotions.cnvInt(wrkRow.Cells[ResultPoint].Value);                                   // 実績金額
+                    EstimateValue += CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.EstimatePrice].Value);           // 積算時見積金額
+                    ExecValue += CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.ExecPrice].Value);                   // 実行金額
+                    PercentValue += CommonMotions.cnvDouble(wrkRow.Cells[(int)GridColumn.Percent].Value);               // 構成比率
+                    TotalValue += CommonMotions.cnvInt(wrkRow.Cells[TotalPoint].Value);                                 // 合計金額
+                    ResultValue += CommonMotions.cnvInt(wrkRow.Cells[ResultPoint].Value);                               // 実績金額
 
                     // 月毎加算
                     int arrayCnt = 0;
-                    for (int i = (int)DispGridColumn.payment; i < dgv.ColumnCount; i++, arrayCnt++)
+                    for (int i = (int)GridColumn.payment; i < dgv.ColumnCount; i++, arrayCnt++)
                     {
                         MTotal[arrayCnt] += CommonMotions.cnvInt(wrkRow.Cells[i].Value);
                     }
@@ -1350,7 +1738,7 @@
                 DataGridView dgv = dgvAllDisplay;
 
                 // 受注金額取得
-                int OrdersPrice = CommonMotions.cnvInt(m_DspLabelCtrl[(int)DspLblCtrlName.OrdersPrice].Text.Replace("\\", "").Replace("-", ""));
+                int OrdersPrice = CommonMotions.cnvInt(m_DspLabelCtrl[(int)DspLblCtrlName.OrdersPrice].Text);
 
                 int EstimateValue = 0;
                 int ExecValue = 0;
@@ -1357,7 +1745,7 @@
                 double PercentValue = 0;
                 int TotalValue = 0;
                 int ResultValue = 0;
-                int Colcnt = dgv.ColumnCount - (int)DispGridColumn.payment;
+                int Colcnt = dgv.ColumnCount - (int)GridColumn.payment;
                 int[] MTotal = new int[Colcnt];
 
                 // 合計値取得
@@ -1373,9 +1761,9 @@
                 if (LineCnt == 0) return;
 
                 // データセット
-                dgv.Rows[LineCnt].Cells[(int)DispGridColumn.EstimatePrice].Value = EstimatePrice.ToString("#,0");
-                dgv.Rows[LineCnt].Cells[(int)DispGridColumn.ExecPrice].Value = ExecPrice.ToString("#,0");
-                dgv.Rows[LineCnt].Cells[(int)DispGridColumn.Percent].Value = CalculattionPercent((double)ExecPrice).ToString("0.00");
+                dgv.Rows[LineCnt].Cells[(int)GridColumn.EstimatePrice].Value = EstimatePrice.ToString("#,0");
+                dgv.Rows[LineCnt].Cells[(int)GridColumn.ExecPrice].Value = ExecPrice.ToString("#,0");
+                dgv.Rows[LineCnt].Cells[(int)GridColumn.Percent].Value = CalculattionPercent((double)ExecPrice).ToString("0.00");
             }
             catch (Exception ex)
             {
@@ -1396,7 +1784,7 @@
                 DataGridView dgv = dgvAllDisplay;
 
                 // 受注金額取得
-                int OrdersPrice = CommonMotions.cnvInt(m_DspLabelCtrl[(int)DspLblCtrlName.OrdersPrice].Text.Replace("\\", "").Replace("-", ""));
+                int OrdersPrice = CommonMotions.cnvInt(m_DspLabelCtrl[(int)DspLblCtrlName.OrdersPrice].Text);
 
                 int EstimatePriceValue = 0;
                 int ExecPriceValue = 0;
@@ -1403,7 +1791,7 @@
                 double PercentValue = 0;
                 int TotalValue = 0;
                 int ResultPriceValue = 0;
-                int Colcnt = dgv.ColumnCount - (int)DispGridColumn.payment;
+                int Colcnt = dgv.ColumnCount - (int)GridColumn.payment;
                 int[] MTotal = new int[Colcnt];
 
                 // 合計値取得
@@ -1414,12 +1802,12 @@
 
                 object[] RowData = new object[dgv.Columns.Count];
                 // データセット
-                RowData[(int)DispGridColumn.FixFlg] = "*";
-                RowData[(int)DispGridColumn.GroupCount] = (int)GroupName_ConstructionLedger.NetIncome;
-                RowData[(int)DispGridColumn.ItemName] = s_GroupTitile[(int)GroupName_ConstructionLedger.NetIncome];
-                RowData[(int)DispGridColumn.EstimatePrice] = EstimateValue.ToString("#,0");
-                RowData[(int)DispGridColumn.ExecPrice] = ExecValue.ToString("#,0");
-                RowData[(int)DispGridColumn.Percent] = CalculattionPercent((double)ExecValue).ToString("0.00");
+                RowData[(int)GridColumn.FixFlg] = "*";
+                RowData[(int)GridColumn.GroupCount] = (int)GroupName_ConstructionLedger.NetIncome;
+                RowData[(int)GridColumn.ItemName] = s_GroupTitle[(int)GroupName_ConstructionLedger.NetIncome];
+                RowData[(int)GridColumn.EstimatePrice] = EstimateValue.ToString("#,0");
+                RowData[(int)GridColumn.ExecPrice] = ExecValue.ToString("#,0");
+                RowData[(int)GridColumn.Percent] = CalculattionPercent((double)ExecValue).ToString("0.00");
 
                 // 行セット
                 CreateDataRow(RowData);
@@ -1453,7 +1841,7 @@
                 // 補正欄取得
                 int BurdenPoint = dgv.ColumnCount + (int)ColPayTotal.PaymentBurdens;
                 int Burden = CommonMotions.cnvInt(dgv.Rows[TotalLine].Cells[BurdenPoint].Value);
-                
+
                 // 予算超過額セット
                 int Budget = (Overpayment + Burden);
                 m_DspLabelCtrl[(int)DspLblCtrlName.BudgetOverrun].Text = Budget.ToString("#,0");
@@ -1474,69 +1862,12 @@
         }
         #endregion
 
-        #region 合計金額計算
-        /// <summary>
-        /// 合計金額計算
-        /// </summary>
-        private void CalculateAllTotal()
-        {
-            try
-            {
-                DataGridView dgv = dgvAllDisplay;
-
-                int EstimateValue = 0;
-                int ExecValue = 0;
-                double PercentValue = 0;
-                int TotalValue = 0;
-                int ResultValue = 0;
-                int Colcnt = dgv.ColumnCount - (int)DispGridColumn.payment;
-                int[] MTotal = new int[Colcnt];
-
-                // 合計値取得
-                GetDetailTotal(ref EstimateValue, ref ExecValue, ref PercentValue, ref TotalValue, ref ResultValue, ref MTotal);
-
-                // 純利益取得
-                int NetIncomeLine = m_CostsRowCount[(int)CostsRowLine.NetIncomeRowLine];
-                EstimateValue += CommonMotions.cnvInt(dgv.Rows[NetIncomeLine].Cells[(int)DispGridColumn.EstimatePrice].Value);
-                ExecValue += CommonMotions.cnvInt(dgv.Rows[NetIncomeLine].Cells[(int)DispGridColumn.ExecPrice].Value);
-
-                // データセット
-                int LineCnt = m_CostsRowCount[(int)CostsRowLine.AllTotalRowLine];
-                dgv.Rows[LineCnt].Cells[(int)DispGridColumn.EstimatePrice].Value = EstimateValue.ToString("#,0");
-                dgv.Rows[LineCnt].Cells[(int)DispGridColumn.ExecPrice].Value = ExecValue.ToString("#,0");
-                dgv.Rows[LineCnt].Cells[(int)DispGridColumn.Percent].Value = CalculattionPercent((double)ExecValue).ToString("0.00");
-
-                // 月毎合計
-                int arrayCnt = 0;
-                for (int i = (int)DispGridColumn.payment; i < dgv.ColumnCount; i++, arrayCnt++)
-                {
-                    dgv.Rows[LineCnt].Cells[i].Value = MTotal[arrayCnt].ToString("#,0");
-                }
-
-                // 合計欄位置取得
-                int TotalPoint = dgv.ColumnCount + (int)ColPayTotal.Totals;
-                dgv.Rows[LineCnt].Cells[TotalPoint].Value = TotalValue.ToString("#,0");
-                // 実績欄位置取得
-                int ResultPoint = dgv.ColumnCount + (int)ColPayTotal.Results;
-                dgv.Rows[LineCnt].Cells[ResultPoint].Value = ResultValue.ToString("#,0");
-
-                // 予算超過金額セット
-                SetBudgetOverrun();
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            }
-        }
-        #endregion
-
         #region 合計金額作成
         /// <summary>
         /// 合計金額作成
         /// </summary>
-        private void CreateAllTotal()
+        private void CreateAllTotal(bool bCreateRow)
         {
-
             try
             {
                 DataGridView dgv = dgvAllDisplay;
@@ -1546,7 +1877,7 @@
                 double PercentValue = 0;
                 int TotalValue = 0;
                 int ResultPriceValue = 0;
-                int Colcnt = dgv.ColumnCount - (int)DispGridColumn.payment;
+                int Colcnt = dgv.ColumnCount - (int)GridColumn.payment;
                 int[] MTotal = new int[Colcnt];
 
                 // 合計値取得
@@ -1554,62 +1885,86 @@
 
                 // 純利益取得
                 int NetIncomeLine = m_CostsRowCount[(int)CostsRowLine.NetIncomeRowLine];
-                EstimatePriceValue += CommonMotions.cnvInt(dgv.Rows[NetIncomeLine].Cells[(int)DispGridColumn.EstimatePrice].Value);
-                ExecPriceValue += CommonMotions.cnvInt(dgv.Rows[NetIncomeLine].Cells[(int)DispGridColumn.ExecPrice].Value);
+                EstimatePriceValue += CommonMotions.cnvInt(dgv.Rows[NetIncomeLine].Cells[(int)GridColumn.EstimatePrice].Value);
+                ExecPriceValue += CommonMotions.cnvInt(dgv.Rows[NetIncomeLine].Cells[(int)GridColumn.ExecPrice].Value);
 
-                // 空白行
-                AddEmptyRow();
+                if (bCreateRow)
+                {
+                    // 空白行
+                    AddEmptyRow();
 
-                object[] RowData = new object[dgv.Columns.Count];
-                // データセット
-                RowData[(int)DispGridColumn.FixFlg] = "*";
-                RowData[(int)DispGridColumn.GroupCount] = (int)GroupName_ConstructionLedger.AllTotal;
-                RowData[(int)DispGridColumn.ItemName] = s_GroupTitile[(int)GroupName_ConstructionLedger.AllTotal];
-                RowData[(int)DispGridColumn.EstimatePrice] = EstimatePriceValue.ToString("#,0");
-                RowData[(int)DispGridColumn.ExecPrice] = ExecPriceValue.ToString("#,0");
-                RowData[(int)DispGridColumn.Percent] = CalculattionPercent((double)ExecPriceValue).ToString("0.00");
+                    object[] RowData = new object[dgv.Columns.Count];
+                    // データセット
+                    RowData[(int)GridColumn.FixFlg] = "*";
+                    RowData[(int)GridColumn.GroupCount] = (int)GroupName_ConstructionLedger.AllTotal;
+                    RowData[(int)GridColumn.ItemName] = s_GroupTitle[(int)GroupName_ConstructionLedger.AllTotal];
+                    RowData[(int)GridColumn.EstimatePrice] = EstimatePriceValue.ToString("#,0");
+                    RowData[(int)GridColumn.ExecPrice] = ExecPriceValue.ToString("#,0");
+                    RowData[(int)GridColumn.Percent] = CalculattionPercent((double)ExecPriceValue).ToString("0.00");
 
-                // 月毎合計
-                int arrayCnt = 0;
-                for (int i = (int)DispGridColumn.payment; i < dgv.ColumnCount; i++, arrayCnt++)
-                {
-                    RowData[i] = MTotal[arrayCnt].ToString("#,0");
-                }
+                    // 月毎合計
+                    int arrayCnt = 0;
+                    for (int i = (int)GridColumn.payment; i < dgv.ColumnCount; i++, arrayCnt++)
+                    {
+                        RowData[i] = MTotal[arrayCnt].ToString("#,0");
+                    }
 
-                // 合計欄位置取得
-                int TotalPoint = dgv.ColumnCount + (int)ColPayTotal.Totals;
-                RowData[TotalPoint] = TotalValue.ToString("#,0");
+                    // 合計欄位置取得
+                    int TotalPoint = dgv.ColumnCount + (int)ColPayTotal.Totals;
+                    RowData[TotalPoint] = TotalValue.ToString("#,0");
 
-                // 実績欄位置取得
-                int ResultPoint = dgv.ColumnCount + (int)ColPayTotal.Results;
-                RowData[ResultPoint] = ResultPriceValue.ToString("#,0");
+                    // 実績欄位置取得
+                    int ResultPoint = dgv.ColumnCount + (int)ColPayTotal.Results;
+                    RowData[ResultPoint] = ResultPriceValue.ToString("#,0");
 
-                // 行セット
-                CreateDataRow(RowData);
+                    // 行セット
+                    CreateDataRow(RowData);
 
-                // 行位置取得
-                int LineCnt = dgv.RowCount - 1;
-                m_CostsRowCount[(int)CostsRowLine.AllTotalRowLine] = LineCnt;
+                    // 行位置取得
+                    int LineCnt = dgv.RowCount - 1;
+                    m_CostsRowCount[(int)CostsRowLine.AllTotalRowLine] = LineCnt;
 
-                // 合計行は書込み不可
-                dgv.Rows[LineCnt].ReadOnly = true;
+                    // 合計行は書込み不可
+                    dgv.Rows[LineCnt].ReadOnly = true;
 
-                // 総合計フラグON
-                dgv.Rows[LineCnt].Cells[(int)DispGridColumn.TotalFlg].Value = 2;
+                    // 総合計フラグON
+                    dgv.Rows[LineCnt].Cells[(int)GridColumn.TotalFlg].Value = 2;
 
-                // 工事価格計は行を大きくする
-                dgv.Rows[LineCnt].Height = dgv.RowTemplate.Height * 2;
-                float FontSize = dgv.DefaultCellStyle.Font.Size;
-                Font DrowFont = new Font(dgv.DefaultCellStyle.Font.FontFamily, FontSize * 2);
-                dgv.Rows[LineCnt].Cells[(int)DispGridColumn.No].Style.Font = DrowFont;
+                    // 工事価格計は行を大きくする
+                    dgv.Rows[LineCnt].Height = dgv.RowTemplate.Height * 2;
+                    float FontSize = dgv.DefaultCellStyle.Font.Size;
+                    Font DrowFont = new Font(dgv.DefaultCellStyle.Font.FontFamily, FontSize * 2);
+                    dgv.Rows[LineCnt].Cells[(int)GridColumn.No].Style.Font = DrowFont;
 
-                // 行の色を変える
-                for (int i = 0; i < dgv.Columns.Count; i++)
+                    // 行の色を変える
+                    for (int i = 0; i < dgv.Columns.Count; i++)
+                    {
+                        dgv.Rows[LineCnt].Cells[i].Style.ForeColor = Color.White;
+                        dgv.Rows[LineCnt].Cells[i].Style.BackColor = Color.Black;
+                    }
+                }
+                else
                 {
-                    dgv.Rows[LineCnt].Cells[i].Style.ForeColor = Color.White;
-                    dgv.Rows[LineCnt].Cells[i].Style.BackColor = Color.Black;
+                    // データセット
+                    int LineCnt = m_CostsRowCount[(int)CostsRowLine.AllTotalRowLine];
+                    dgv.Rows[LineCnt].Cells[(int)GridColumn.EstimatePrice].Value = EstimatePriceValue.ToString("#,0");
+                    dgv.Rows[LineCnt].Cells[(int)GridColumn.ExecPrice].Value = ExecPriceValue.ToString("#,0");
+                    dgv.Rows[LineCnt].Cells[(int)GridColumn.Percent].Value = CalculattionPercent((double)ExecPriceValue).ToString("0.00");
+
+                    // 月毎合計
+                    int arrayCnt = 0;
+                    for (int i = (int)GridColumn.payment; i < dgv.ColumnCount; i++, arrayCnt++)
+                    {
+                        dgv.Rows[LineCnt].Cells[i].Value = MTotal[arrayCnt].ToString("#,0");
+                    }
+
+                    // 合計欄位置取得
+                    int TotalPoint = dgv.ColumnCount + (int)ColPayTotal.Totals;
+                    dgv.Rows[LineCnt].Cells[TotalPoint].Value = TotalValue.ToString("#,0");
+                    // 実績欄位置取得
+                    int ResultPoint = dgv.ColumnCount + (int)ColPayTotal.Results;
+                    dgv.Rows[LineCnt].Cells[ResultPoint].Value = ResultPriceValue.ToString("#,0");
                 }
-
                 // 予算超過金額セット
                 SetBudgetOverrun();
             }
@@ -1667,9 +2022,9 @@
 
                 object[] RowData = new object[dgv.Columns.Count];
                 // データセット
-                RowData[(int)DispGridColumn.FixFlg] = "*";
-                RowData[(int)DispGridColumn.GroupCount] = (int)GroupName_ConstructionLedger.CurrentProfit;
-                RowData[(int)DispGridColumn.ItemName] = s_GroupTitile[(int)GroupName_ConstructionLedger.CurrentProfit];
+                RowData[(int)GridColumn.FixFlg] = "*";
+                RowData[(int)GridColumn.GroupCount] = (int)GroupName_ConstructionLedger.CurrentProfit;
+                RowData[(int)GridColumn.ItemName] = s_GroupTitle[(int)GroupName_ConstructionLedger.CurrentProfit];
 
                 // 合計欄位置取得
                 int TotalPoint = dgv.ColumnCount + (int)ColPayTotal.Totals;
@@ -1728,7 +2083,7 @@
 
                 // 月毎合計
                 int Total = 0;
-                for (int i = (int)DispGridColumn.payment; i < (dgv.ColumnCount + (int)ColPayTotal.Totals); i++)
+                for (int i = (int)GridColumn.payment; i < (dgv.ColumnCount + (int)ColPayTotal.Totals); i++)
                 {
                     Total += CommonMotions.cnvInt(dgv.Rows[BillingAmountRow].Cells[i].Value);
                 }
@@ -1746,7 +2101,7 @@
         /// <summary>
         /// 請求金額作成
         /// </summary>
-        private void CreateBillingAmount(ConstructionLedgerDetail SaveBillingData)
+        private void CreateBillingAmount()
         {
             IOConstructionLedgerExcute ExcuteDB = new IOConstructionLedgerExcute();
             try
@@ -1758,10 +2113,11 @@
 
                 object[] RowData = new object[dgv.Columns.Count];
                 // データセット
-                RowData[(int)DispGridColumn.FixFlg] = "*";
-                RowData[(int)DispGridColumn.GroupCount] = (int)GroupName_ConstructionLedger.BillingAmount;
-                RowData[(int)DispGridColumn.ItemName] = s_GroupTitile[(int)GroupName_ConstructionLedger.BillingAmount];
-                RowData[(int)DispGridColumn.IndependentFlg] = "1";
+                RowData[(int)GridColumn.FixFlg] = "*";
+                RowData[(int)GridColumn.GroupCount] = (int)GroupName_ConstructionLedger.BillingAmount;
+                RowData[(int)GridColumn.ItemName] = s_GroupTitle[(int)GroupName_ConstructionLedger.BillingAmount];
+                RowData[(int)GridColumn.IndependentFlg] = "1";
+                RowData[(int)GridColumn.FluctuationFlg] = "0";
 
                 string strSQL = ExcuteDB.CreatePrimarykeyString(m_ConstructionCode,
                                                                 (int)GroupName_ConstructionLedger.BillingAmount);
@@ -1789,7 +2145,7 @@
                 // 行位置取得
                 int LineCnt = dgv.RowCount - 1;
                 m_CostsRowCount[(int)CostsRowLine.BillingAmountRowLine] = LineCnt;
-                
+
                 // 行色変更
                 DefaultRowChangeColor(LineCnt);
             }
